/// <reference types="react" />
import { IconButtonProps } from './IconButton';
import type { ForwardRef } from './types';
export declare const CloseIcon: JSX.Element;
export interface CloseProps extends Omit<IconButtonProps, 'children'> {
}
/**
 * Button with close (×) icon.
 *
 * The Close component renders as a <button> element by default.
 * Pass any button attributes as props to the component.
 *
 * Close component variants can be defined in the theme.buttons object.
 * The Close component uses theme.buttons.close as its default variant style.
 */
export declare const Close: ForwardRef<HTMLButtonElement, CloseProps>;
