import { BoxProps } from './Box';
import type { ForwardRef } from './types';
export declare type ContainerProps = BoxProps;
/**
 * Centered, max-width layout component
 *
 * Container variants can be defined in the `theme.layout` object.
 * The Container component uses `theme.layout.container` as its default variant style.
 * @see https://theme-ui.com/components/container
 */
export declare const Container: ForwardRef<HTMLDivElement, ContainerProps>;
