import React from 'react';
import { BoxOwnProps } from './Box';
import type { Assign, ForwardRef } from './types';
export interface ImageProps extends Assign<React.ComponentPropsWithRef<'img'>, BoxOwnProps> {
}
/**
 * Image style variants can be defined in the theme.images object.
 * @see https://theme-ui.com/components/image/
 */
export declare const Image: ForwardRef<HTMLImageElement, ImageProps>;
