import React from 'react';
import { BoxOwnProps } from './Box';
import type { Assign, ForwardRef } from './types';
export interface LabelProps extends Assign<React.ComponentPropsWithRef<'label'>, BoxOwnProps> {
}
/**
 * Label variants can be defined in `theme.forms`
 * and the component uses the `theme.forms.label` variant by default.
 * @see https://theme-ui.com/components/label/
 */
export declare const Label: ForwardRef<HTMLLabelElement, LabelProps>;
