/** @jsx jsx */
import { jsx } from '@emotion/react';
import { IconButtonProps } from './IconButton';
import type { ForwardRef } from './types';
export declare const MenuIcon: ({ size }: {
    size?: number | undefined;
}) => jsx.JSX.Element;
export declare type MenuButtonProps = IconButtonProps;
/**
 * MenuButton variants can be defined in the `theme.buttons` object.
 * By default the MenuButton component will use styles defined in `theme.buttons.menu`.
 *
 * @see https://theme-ui.com/components/menu-button
 */
export declare const MenuButton: ForwardRef<HTMLButtonElement, MenuButtonProps>;
