import { LinkProps } from './Link';
import type { ForwardRef } from './types';
export declare type NavLinkProps = LinkProps;
/**
 * Link component for use in navigation
 *
 * NavLink variants can be defined in the `theme.links` object.
 * By default the NavLink component will use styles defined in `theme.links.nav`.
 * @see https://theme-ui.com/components/nav-link
 */
export declare const NavLink: ForwardRef<HTMLAnchorElement, NavLinkProps>;
