import React from 'react';
import { BoxOwnProps } from './Box';
import type { Assign, ForwardRef } from './types';
export interface RadioProps extends Assign<React.ComponentPropsWithRef<'input'>, BoxOwnProps> {
}
/**
 * Form radio input component
 *
 * Radio variants can be defined in `theme.forms` and the
 * component uses the `theme.forms.radio variant` by default.
 * @see https://theme-ui.com/components/radio/
 */
export declare const Radio: ForwardRef<HTMLInputElement, RadioProps>;
