import React from 'react';
import { BoxOwnProps } from './Box';
import type { Assign, ForwardRef } from './types';
export interface SwitchProps extends Assign<React.ComponentProps<'input'>, BoxOwnProps> {
    label?: string;
}
/**
 * Form switch component
 *
 * Switch variants can be defined in `theme.forms`
 * and the component uses the `theme.forms.switch` variant by default.
 */
export declare const Switch: ForwardRef<HTMLInputElement, SwitchProps>;
